Bug 802102 - (bluefish:3888): Gtk-CRITICAL **:
(bluefish:3888): Gtk-CRITICAL **:
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: bluefish (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 04:56 EDT by nomnex
Modified: 2012-05-25 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-25 11:37:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nomnex 2012-03-11 04:56:07 EDT
[mt@nh28d ~]$ bluefish ~/desktop/index4.html &
[1] 3888
[mt@nh28d ~]$ 
(process:3888): GLib-WARNING **: goption.c:2132: ignoring no-arg, optional-arg or filename flags (8) on option of type 0

(process:3888): GLib-WARNING **: goption.c:2132: ignoring no-arg, optional-arg or filename flags (8) on option of type 0

(process:3888): GLib-WARNING **: goption.c:2132: ignoring no-arg, optional-arg or filename flags (8) on option of type 6
Language statistics for Generic HTML from /usr/share/bluefish/bflang//html.bflang2
table    13448 (3362.00 Kbytes)
contexts   135 (3.69 Kbytes)
matches   2717 (106.13 Kbytes)
Language statistics for XHTML from /usr/share/bluefish/bflang//xhtml.bflang2
table    12115 (3028.75 Kbytes)
contexts   121 (3.31 Kbytes)
matches   2481 (96.91 Kbytes)

(bluefish:3888): Gtk-CRITICAL **: IA__gtk_window_remove_accel_group: assertion `GTK_IS_ACCEL_GROUP (accel_group)' failed

(bluefish:3888): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
[mt@nh28d ~]$ delete_async, failed to delete: Error removing file: No such file or directory
gui_bfwin_cleanup called for bfwin 0x9bc6280
left_panel_destroy_cleanup called for bfwin 0x9bc6280

(bluefish:3888): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(bluefish:3888): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
^C
[1]+  Done                    bluefish ~/desktop/index4.html
[mt@nh28d ~]$ 




Version-Release number of selected component (if applicable):

bluefish 2.0.3
F-15 LXDE



How reproducible: Always


Steps to Reproduce:
1. Open bluefish
2. Close bluefish
3. ABRT generated.
  
Actual results:


Expected results:


Additional info:
I deleted the ABRT report. If you need them, I will complete the automated bug report procedure.
Comment 1 Paul Howarth 2012-03-11 06:05:31 EDT
Which exact bluefish package do you have? Some recent updates have addressed crashes on exit.

I don't think the Gtk-CRITICAL etc. messages are related, so the ABRT data would be useful.
Comment 2 nomnex 2012-03-11 09:01:33 EDT
Name        : bluefish
Arch        : i686
Version     : 2.0.3
Release     : 6.fc15

I have these messages anytime I open a document with BF, but no ABRT msg telling me BF has crashed right now.

[mt@nh28d ~]$ bluefish &
[1] 8341
[mt@nh28d ~]$ 
(process:8341): GLib-WARNING **: goption.c:2132: ignoring no-arg, optional-arg or filename flags (8) on option of type 0

(process:8341): GLib-WARNING **: goption.c:2132: ignoring no-arg, optional-arg or filename flags (8) on option of type 0

(process:8341): GLib-WARNING **: goption.c:2132: ignoring no-arg, optional-arg or filename flags (8) on option of type 6

(bluefish:8341): Gtk-CRITICAL **: IA__gtk_window_remove_accel_group: assertion `GTK_IS_ACCEL_GROUP (accel_group)' failed

(bluefish:8341): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
Language statistics for Generic HTML from /usr/share/bluefish/bflang//html.bflang2
table    13448 (3362.00 Kbytes)
contexts   135 (3.69 Kbytes)
matches   2717 (106.13 Kbytes)

(bluefish:8341): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/mt/desktop/zim.html': Error stating file '/home/mt/desktop/zim.html': No such file or directory
delete_async, failed to delete: Error removing file: No such file or directory

(bluefish:8341): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
gui_bfwin_cleanup called for bfwin 0x841e268
left_panel_destroy_cleanup called for bfwin 0x841e268

(bluefish:8341): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

[1]+  Done                    bluefish
[mt@nh28d ~]$ 

I try again tomorrow, and post back a report as soon as I get one.
Comment 3 Paul Howarth 2012-04-25 07:49:04 EDT
Did you manage to get it to crash yet?
Comment 4 nomnex 2012-04-25 09:15:45 EDT
No, the terminal still hangs on this line, after I quit BF:
(bluefish:20465): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
but no BF crash.
Comment 5 Paul Howarth 2012-04-25 09:27:53 EDT
"Hangs"? You mean bluefish doesn't actually exit? That's not what appears to be happening in Comment #2.
Comment 6 nomnex 2012-04-25 09:56:04 EDT
Bluefhish exits when I quit, but I launch it from the terminal, and the command [$ bluefish &] does not terminate after I quit bluefish. I have to pass [$ Ctrl+c]. you can see that in Comment #2

[1]+  Done                    bluefish
[mt@nh28d ~]$
Comment 7 Paul Howarth 2012-04-25 11:51:36 EDT
Right, so it's not actually exiting (the window closes but the process is still running, so you have to ^C it).

Does the same happen if you don't run it in the background?

Can you run it using strace so we can see what it's doing?
Comment 8 nomnex 2012-05-24 06:30:40 EDT
I don't have the dev. tools on this machine and I am about to update. I will re-open a bug if the issue persists on F-17.

Regarding the terminal thing. It looks like it's not a bug, but a refresh problem. I can reproduce it with Bluefish and Shotwell. On my system, when I quit these applications, they don't quit by themselves in the terminal emulator. I have to push the Enter key, to get the messsage:

[1]+  Done                    bluefish

I ran $ top before to quit bluefish, and the process stop, so it's fine. It's Just the window with the $ bluefish instance hangs after I quit, until I push Enter.
Comment 9 Paul Howarth 2012-05-25 11:37:16 EDT
(In reply to comment #8)
> Regarding the terminal thing. It looks like it's not a bug, but a refresh
> problem. I can reproduce it with Bluefish and Shotwell. On my system, when I
> quit these applications, they don't quit by themselves in the terminal
> emulator. I have to push the Enter key, to get the messsage:
> 
> [1]+  Done                    bluefish
> 
> I ran $ top before to quit bluefish, and the process stop, so it's fine.
> It's Just the window with the $ bluefish instance hangs after I quit, until
> I push Enter.

I think this is normal for backgrounded applications, particularly those that open their own windows.

As the original crash doesn't seem to be repeatable, I'll close this bug and you can open a new one if necessary. F-17 has a new GTK-3 based version of bluefish by the way.

Note You need to log in before you can comment on or make changes to this bug.